I am trying to install the Appointments + plugin but am getting a "package unvailable" mes

I am having trouble installing the Appointments + plugin I purchased. When attempting install, I get the message "install package unavailable." I just purchased the plugin, what can I do?